.menu {
	background-color: var(--vert);
	opacity: 0.95;
}

.menu-wrap{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: #fff;
	border-radius: 0 0 80px 0;
	padding: 0 8px 8px 0;
}
.menu-wrap .toggler{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    cursor: pointer;
    width: 50px;
    height: 50px;
    opacity: 0;
}

.menu-wrap .four{
	width: 60px;
	height: 60px;
}

.menu-wrap .hamburger{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 40px;
    height: 40px;
    padding: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* Hamburger line */
.menu-wrap .hamburger >div {
    position: relative;
    width: 100%;
    height: 5px;
    background-color: var(--noir);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.4s ease;
}
/* Top and bottom lines */
.menu-wrap .hamburger > div:before,
.menu-wrap .hamburger > div:after{
    content: '';
    position: absolute;
    z-index: 1;
    top: -10px;
    width: 100%;
    height: 5px;
    background: inherit;
}
/* Moves line down */
.menu-wrap .hamburger > div:after{
    top: 10px;
}
/* Toggler animate */
.menu-wrap .toggler:checked + .hamburger > div{
    transform: rotate(135deg);
}
/* Turn Lines into X */
.menu-wrap .toggler:checked + .hamburger > div:before,
.menu-wrap .toggler:checked + .hamburger > div:after{
    top: 0;
    transform: rotate(90deg);
}
/* Rotate on hover when checked */
.menu-wrap .toggler:checked:hover + .hamburger > div{
    transform: rotate(225deg);
}
/* Show menu */
.menu-wrap .toggler:checked ~ .menu{
    visibility: visible;
}
.menu-wrap .toggler:checked ~ .menu > div{
    transform: scale(1);
    transition-duration: var(--menu-speed);
}
.menu-wrap .toggler:checked ~ .menu > div > div{
    opacity: 1;
    transition: opacity 0.4s ease;
}
.menu-wrap .menu{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
     visibility: hidden; 
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu-wrap .menu > div{
    background-color: var(--overlay-color);
    border-radius: 50%;
    width: 200vw;
    height: 200vw;
    display: flex;
    flex: none;
    align-items: center;
    justify-content: center;
     transform: scale(0); 
    transition: all 0.4s ease;
}
.menu-wrap .menu > div >div{
    max-width: 90vw;
    max-height: 100vh;
     opacity: 0; 
    transition: opacity 0.4s ease;
}
.menu-wrap .menu > div > div > ul > li {
    list-style: none;
    color: #fff;
    font-size: 1.5rem;
    padding: 1rem;
}

.menu-wrap .menu > div > div > ul > li:hover {
	background-color: #fff;
	color: #000;
	border-radius: 30px;
}

.menu-wrap .menu >div > div > ul > li > a{
    color: inherit;
    text-decoration: none;
	background-color: inherit;
    transition: color 0.4s ease;
}

.menu-wrap .menu >div > div > ul > li > a:hover {
	background-color: inherit;
}
